# Team roles

## List team roles

This endpoint makes an HTTP GET request to retrieve a list of team roles.

**Request Body** This request does not require a request body.

### Request

* Endpoint: `https://api.thebrief.ai/v1/teamRoles`

### Response

* Status: 200
* Content-Type: application/json

The response will contain an array of team roles, where each role is represented by an object with "id" and "name" properties.

Example response:

```
{
    "response": [
        {   
            "id": 1,
            "name": "Admin"
        },
        {
            "id": 2,
            "name": "Viewer"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/users/team-roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
